
Foreman - Feature #4178

Make changes to i18n extraction scripts to support plugins

01/24/2014 01:11 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman discovery will be the very first plugin with full i18n support. Although we do not have javascript and model coverage,

disocovery does not have these, therefore we can release it with i18n starting with three languages.

I need to make minor changes to our locale/Makefile to be able to extract strings in the discovery plugin.

If we can get this change to 1.4 that would be great - users can start translating their plugins right away (again no js/model support).

Associated revisions

Revision ab5c0236 - 01/27/2014 05:12 PM - Lukas Zapletal

fixes #4178 - updating i18n extracting rake task and makefile

Revision 4abdf62c - 01/28/2014 01:00 PM - Lukas Zapletal

fixes #4178 - updating i18n extracting rake task and makefile

(cherry picked from commit ab5c02365e8cb9ac66e72c6ba2d9c2a90350bd9f)

History

#1 - 01/24/2014 01:50 PM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1192

#2 - 01/27/2014 06:31 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ab5c02365e8cb9ac66e72c6ba2d9c2a90350bd9f.
